# TdApi.SetGroupCallParticipantVolumeLevel (tdlight API 3.3.160 API)
declaration: package: it.tdlight.jni, class: TdApi, class: SetGroupCallParticipantVolumeLevel

Package it.tdlight.jni

# Class TdApi.SetGroupCallParticipantVolumeLevel

java.lang.Object
it.tdlight.jni.TdApi.Object
it.tdlight.jni.TdApi.Function
it.tdlight.jni.TdApi.SetGroupCallParticipantVolumeLevel

Enclosing class:
  TdApi

    public static class TdApi.SetGroupCallParticipantVolumeLevel
    extends TdApi.Function

Changes volume level of a participant of an active group call. If the current user can manage the group call, then the participant's volume level will be changed for all users with the default volume level.

Returns `Ok`

## Field Summary

Fields
Modifier and Type | Field | Description
--- | --- | ---
`static int` | `CONSTRUCTOR` |
`int` | `groupCallId` | Group call identifier.
`TdApi.MessageSender` | `participantId` | Participant identifier.
`int` | `volumeLevel` | New participant's volume level; 1-20000 in hundreds of percents.

## Constructor Summary

Constructors
Constructor | Description
--- | ---
`SetGroupCallParticipantVolumeLevel()` | Changes volume level of a participant of an active group call.
`SetGroupCallParticipantVolumeLevel​(int groupCallId, TdApi.MessageSender participantId, int volumeLevel)` | Changes volume level of a participant of an active group call.
`SetGroupCallParticipantVolumeLevel​(DataInput input)` |

## Method Summary

Modifier and Type | Method | Description
--- | --- | ---
`boolean` | `equals​(Object o)` |
`int` | `getConstructor()` |
`int` | `hashCode()` |
`void` | `serialize​(DataOutput output)` |

### Methods inherited from class it.tdlight.jni.TdApi.Function

`toString`

### Methods inherited from class it.tdlight.jni.TdApi.Object

`serialize`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Field Details

### groupCallId

public int groupCallId
Group call identifier.

### participantId

public TdApi.MessageSender participantId
Participant identifier.

### volumeLevel

public int volumeLevel
New participant's volume level; 1-20000 in hundreds of percents.

### CONSTRUCTOR

public static final int CONSTRUCTOR

See Also:
  Constant Field Values

## Constructor Details

### SetGroupCallParticipantVolumeLevel

public SetGroupCallParticipantVolumeLevel()
Changes volume level of a participant of an active group call. If the current user can manage the group call, then the participant's volume level will be changed for all users with the default volume level.

Returns `Ok`

### SetGroupCallParticipantVolumeLevel

public SetGroupCallParticipantVolumeLevel​(int groupCallId, TdApi.MessageSender participantId, int volumeLevel)
Changes volume level of a participant of an active group call. If the current user can manage the group call, then the participant's volume level will be changed for all users with the default volume level.

Returns `Ok`

Parameters:
  `groupCallId` - int Group call identifier.
  `participantId` - MessageSender Participant identifier.
  `volumeLevel` - int New participant's volume level; 1-20000 in hundreds of percents.

### SetGroupCallParticipantVolumeLevel

public SetGroupCallParticipantVolumeLevel​(DataInput input) throws IOException

Throws:
  `IOException`

## Method Details

### getConstructor

public int getConstructor()

Specified by:
  `getConstructor` in class `TdApi.Object`

### serialize

public void serialize​(DataOutput output) throws IOException

Specified by:
  `serialize` in class `TdApi.Object`
Throws:
  `IOException`

### equals

public boolean equals​(Object o)

Overrides:
  `equals` in class `Object`

### hashCode

public int hashCode()

Overrides:
  `hashCode` in class `Object`